Bug 1577217 - Review Request: python-gitlab - Interact with GitLab API
Summary: Review Request: python-gitlab - Interact with GitLab API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1577198
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 13:36 UTC by Steve Traylen
Modified: 2018-07-01 01:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-13 15:17:22 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Steve Traylen 2018-05-11 13:36:00 UTC
Spec URL: http://cern.ch/straylen/rpms/python-gitlab/python-gitlab.spec
SRPM URL: http://cern.ch/straylen/rpms/python-gitlab/python-gitlab-1.3.0-1.fc28.src.rpm
Description:  Interact with GitLab API
Fedora Account System Username: stevetraylen

Comment 1 Robert-André Mauchin 🐧 2018-05-12 20:20:17 UTC
 - The COPYING file should be marked as %license in %files:

%files -n python2-%{pypi_name}
%doc README.rst contrib/docker/README.rst
%license COPYING
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/python_gitlab-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst contrib/docker/README.rst
%license COPYING
%{_bindir}/gitlab
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/python_gitlab-%{version}-py?.?.egg-info

%files -n python-%{pypi_name}-doc
%license COPYING
%doc html

 - I've got a test failure:

BUILDSTDERR: ERROR: gitlab.tests.test_config (unittest.loader.ModuleImportFailure)
BUILDSTDERR: ----------------------------------------------------------------------
BUILDSTDERR: ImportError: Failed to import test module: gitlab.tests.test_config
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "/usr/lib64/python2.7/unittest/loader.py", line 254, in _find_tests
BUILDSTDERR:     module = self._get_module_from_name(name)
BUILDSTDERR:   File "/usr/lib64/python2.7/unittest/loader.py", line 232, in _get_module_from_name
BUILDSTDERR:     __import__(name)
BUILDSTDERR:   File "/builddir/build/BUILD/python-gitlab-1.3.0/gitlab/tests/test_config.py", line 23, in <module>
BUILDSTDERR:     import mock
BUILDSTDERR: ImportError: No module named mock
BUILDSTDERR: ----------------------------------------------------------------------
BUILDSTDERR: Ran 166 tests in 0.338s
BUILDSTDERR: FAILED (errors=1)

   Add python2dist(mock) / python3dist(mock) as a BR to fix this.




Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v3 or later)", "GPL (v3)", "Unknown or generated". 94
     files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-gitlab/review-python-
     gitlab/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-gitlab , python3-gitlab
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-gitlab-1.3.0-1.fc29.noarch.rpm
          python3-gitlab-1.3.0-1.fc29.noarch.rpm
          python-gitlab-doc-1.3.0-1.fc29.noarch.rpm
          python-gitlab-1.3.0-1.fc29.src.rpm
python3-gitlab.noarch: W: no-manual-page-for-binary gitlab
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Steve Traylen 2018-05-16 14:20:24 UTC
THanks for the comments.
%license added mock build requires added.


Spec URL: http://cern.ch/straylen/rpms/python-gitlab/python-gitlab.spec
SRPM URL: http://cern.ch/straylen/rpms/python-gitlab/python-gitlab-1.3.0-2.fc28.src.rpm

I'll confirm mock once the httmock dependency is processed...

Comment 3 Robert-André Mauchin 🐧 2018-05-16 15:58:16 UTC
 - You've made a mistake here:

BuildRequires:  python3-devel
BuildRequires:  python3dist(requests) >= 1.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(httmock)
BuildRequires:  python2dist(mock)

   It should be python3dist(mock)


Package otherwise accepted. Fix the above error before import.

Comment 4 Gwyn Ciesla 2018-05-16 21:29:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-gitlab

Comment 5 Fedora Update System 2018-06-04 12:12:52 UTC
python-gitlab-1.3.0-3.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4619de4f36

Comment 6 Fedora Update System 2018-06-04 12:13:00 UTC
python-gitlab-1.3.0-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d60efc70c2

Comment 7 Fedora Update System 2018-06-04 13:51:21 UTC
python-gitlab-1.3.0-3.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4619de4f36

Comment 8 Fedora Update System 2018-06-04 14:49:06 UTC
python-gitlab-1.3.0-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d60efc70c2

Comment 9 Fedora Update System 2018-06-13 15:17:22 UTC
python-gitlab-1.3.0-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-07-01 01:07:15 UTC
python-gitlab-1.3.0-3.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.